# WOK
TKWOK
WOKernel

# WOKernel_Workshop Class Reference

a workshop is a tree of workbench
It is used to work under a particular Parcel config
for a particuliar job
A worshop implies a root workbench in it

`#include <WOKernel_Workshop.hxx>`

Inheritance diagram for WOKernel_Workshop:

[legend]

## Public Member Functions

Standard_EXPORT | WOKernel_Workshop (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_Factory)&anesting)
virtual Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem | BuildParameters (const Handle(WOKUtils_HSequenceOfParamItem)&someparams, const Standard_Boolean usedefaults)
| constructs Sequence of Parameters Needed by Entity to be built. Checks their consistancy
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EntityCode () const
Standard_EXPORT void | GetWorkbenches ()
| Fills Workbench List .
Standard_EXPORT void | GetParcelsInUse ()
| Fills Parcel List .
virtual Standard_EXPORT void | Open ()
| open an existing entity
virtual Standard_EXPORT void | Close ()
| closes entity
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Workbenches () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | ParcelsInUse () const
Standard_EXPORT Handle_WOKernel_HSequenceOfStationID | SupportedStations () const
| Retourne les Stations Supportees par l'ilot .
Standard_EXPORT void | SetSupportedStations (const Handle(WOKernel_HSequenceOfStationID)&stations)
| Change la liste des Stations supportees .
Standard_EXPORT void | DumpWorkbenchList () const
| updates Workbench List
Standard_EXPORT void | AddWorkbench (const Handle(WOKernel_Workbench)&aworkbench)
| Adds a wb to the workshop .
Standard_EXPORT void | RemoveWorkbench (const Handle(WOKernel_Workbench)&aworkbench)
| Removes a wb to the workshop .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT void | GetParameters ()

## Private Attributes

Handle_TColStd_HSequenceOfHAsciiString | myworkbenches
Handle_TColStd_HSequenceOfHAsciiString | myparcelsinuse
Handle_TColStd_HSequenceOfHAsciiString | mystations
Handle_WOKernel_HSequenceOfDBMSID | mydbms

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_Workshop::WOKernel_Workshop | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_Factory)& | anesting
| ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_Workshop::AddWorkbench | ( | const Handle(WOKernel_Workbench)& | aworkbench | ) |

virtual Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem WOKernel_Workshop::BuildParameters | ( | const Handle(WOKUtils_HSequenceOfParamItem)& | someparams,
|  | const Standard_Boolean | usedefaults
| ) | `[virtual]`

| Reimplemented from WOKernel_Entity.

virtual Standard_EXPORT void WOKernel_Workshop::Close | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT void WOKernel_Workshop::DumpWorkbenchList | ( |  | ) | const

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_Workshop::EntityCode | ( |  | ) | const`[virtual]`

| Implements WOKernel_Entity.

virtual Standard_EXPORT void WOKernel_Workshop::GetParameters | ( |  | ) | `[protected, virtual]`

| Reimplemented from WOKernel_Entity.

Standard_EXPORT void WOKernel_Workshop::GetParcelsInUse | ( |  | ) |

Standard_EXPORT void WOKernel_Workshop::GetWorkbenches | ( |  | ) |

Standard_EXPORT const WOKernel_Workshop::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKernel_Entity.

virtual Standard_EXPORT void WOKernel_Workshop::Open | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workshop::ParcelsInUse | ( |  | ) | const

Standard_EXPORT void WOKernel_Workshop::RemoveWorkbench | ( | const Handle(WOKernel_Workbench)& | aworkbench | ) |

Standard_EXPORT void WOKernel_Workshop::SetSupportedStations | ( | const Handle(WOKernel_HSequenceOfStationID)& | stations | ) |

Standard_EXPORT Handle_WOKernel_HSequenceOfStationID WOKernel_Workshop::SupportedStations | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workshop::Workbenches | ( |  | ) | const

## Field Documentation

Handle_WOKernel_HSequenceOfDBMSID WOKernel_Workshop::mydbms `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workshop::myparcelsinuse `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workshop::mystations `[private]`

| Reimplemented from WOKernel_Entity.

Handle_TColStd_HSequenceOfHAsciiString WOKernel_Workshop::myworkbenches `[private]`

The documentation for this class was generated from the following file:

- WOKernel_Workshop.hxx